<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		position: relative;
	}
	#images{
		height:100vh;
		width: 100vw;
		position: absolute;
	}
	#images > img{
		animation:fadein .4s;
	}
	@keyframes fadein{
		from{
			opacity: 0;
			transform: scale(0);
		}
		to{
			opacity: 1;
			transform: scale(1);
		}
	}
</style>
<body>

<div id="images"></div>
</body>
<script type="text/javascript">
	let i=0;
	let images=[
'https://cdn.pixabay.com/photo/2014/07/01/12/35/taxi-cab-381233__340.jpg',
'https://cdn.pixabay.com/photo/2014/09/03/20/15/legs-434918__340.jpg',
'https://cdn.pixabay.com/photo/2015/10/12/15/05/car-984159__340.jpg'
];

setInterval(function (){
	slides();
	console.log(i);
	i++;
	if(i==images.length){
		i=0;
	}
}, 2000);
function slides(){
	document.getElementById("images").innerHTML= "<img src='"+images[i]+"'>";
}
</script>
</html>